Page MenuHomePhabricator

patrol links not showing up for new page patrol on nlwiki
Closed, ResolvedPublic

Description

The new pages Scarabaeus and De vader van Najib have been patrolled by a user and marked as such. The option to mark the page as checked isn't visible. When we check the list of NewPages ([[w:nl:Speciaal:NieuwePaginas]] they are still colored yellow and when I hide patrolled pages they don't get hidden. So to anyone patrolling new pages they want to patrol that page and mark it, which is impossible. This happens more often. To solve this we delete the page and undelete it again. Then they are marked as patrolled and the history remains intact.

Details

Related Gerrit Patches:

Event Timeline

Mbch331 created this task.Jun 1 2015, 2:10 PM
Mbch331 raised the priority of this task from to Needs Triage.
Mbch331 updated the task description. (Show Details)
Mbch331 added a project: MediaWiki-General.
Mbch331 added a subscriber: Mbch331.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 1 2015, 2:10 PM
Mbch331 updated the task description. (Show Details)Jun 1 2015, 2:12 PM
Mbch331 set Security to None.
Bawolff added a subscriber: Bawolff.Jun 1 2015, 2:15 PM

A page is only counted as patrolled if the first revision is patrolled.

For example, with Scarabaeus, only the second revision, not the first is patrolled.

There's a patrol link on https://nl.wikipedia.org/w/index.php?title=Scarabaeus&oldid=44260881&diff=prev that should get it off special:newpages, but I'm not sure why there isn't patrol links in other places (I thought there was supposed to be, especially on the perma-link to the first revision)

Bawolff added a subscriber: hoo.Jun 1 2015, 2:15 PM
Bawolff renamed this task from Pages are marked as patrolled, however on Special:NewPages they remain yellow (unmarked) to patrol links not showing up for new page patrol on nlwiki.Jun 1 2015, 2:18 PM
Aklapper triaged this task as Medium priority.Jun 3 2015, 6:33 PM

As an addition, I see I can mark the first page here: https://nl.wikipedia.org/w/index.php?title=Amargosawoestijn&oldid=44538491&diff=prev ("[Als gecontroleerd markeren]" is mentioned next to "Nieuwere bewerking" and below), but I don't see such a link here: https://nl.wikipedia.org/w/index.php?title=Amargosawoestijn&redirect=no (see printscreens)


hoo added a comment.Jul 29 2015, 5:47 PM

Can you please give me another example of this where the page is not yet patrolled? I guess the cause for this is a table or something overlaying the patrol link.

- Patrol link is missing at the bottom (can't screenshot the whole page, it's too long)

- Patrol log for the page

hoo added a comment.Jul 29 2015, 6:04 PM

I debugged this really quick:

> var_dump($cache->get( wfMemcKey( 'NotPatrollablePage', 4363251 ) ));
string(1) "1"

After deleting said memcached key the link is appearing again. Will investigate further.

Change 227760 had a related patch set uploaded (by Hoo man):
Guard "NotPatrollablePage" negative caching against slave lag

https://gerrit.wikimedia.org/r/227760

Problem still occurring. See //nl.wikipedia.org/w/index.php?title=Hulpverleningszone_Westhoek where version 44877666 doesn't show up in the patrol log.

Problem still occurring.

Likely, as the patch has not been merged yet. :)

Then either someone should merge the patch or correct the patch so it can be merged.

hoo added a comment.Sep 13 2015, 12:08 PM

Sorry for the long delay here… I was busy and on holidays after. I will look at the patch again this week (maybe even today).

Change 227760 merged by jenkins-bot:
Guard "NotPatrollablePage" negative caching against slave lag

https://gerrit.wikimedia.org/r/227760

hoo closed this task as Resolved.Sep 17 2015, 6:53 PM
hoo claimed this task.
hoo removed a project: Patch-For-Review.